Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004592OCamlOCamlbuild (the tool)public2008-08-01 23:212013-06-13 07:16
Reporterjaked 
Assigned Tomeyer 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target Version4.00.2+devFixed in Version4.01.0+dev 
Summary0004592: .mlpack dependencies not considered while building?
DescriptionIn the attached example, if you 'ocamlbuild main.byte', quux.cmo (needed by foo.cmo) is not built so the build fails; but if you remove quux.mli it works (by accident I think--it builds quux.cmo in order to get quux.cmi). If foo and foo.mlpack are replaced by a foo.ml defining the same structure it works.
Additional InformationSee also:

  http://www.nabble.com/ocamlbuild-bug-(-)-with--pack-and-.d.byte-p11477766.html [^]
TagsNo tags attached.
Attached Filesgz file icon ex.tar.gz [^] (349 bytes) 2008-08-01 23:21

- Relationships
has duplicate 0005752acknowledged missing dependencies at byte-code link with mlpack 

-  Notes
(0008787)
meyer (developer)
2013-01-24 00:31
edited on: 2013-01-24 00:32

It's a user problem, mlpack will not include automatically the directory, therefore it should look like this:

foo.mlpack:
foo/Bar

not like this:

foo.mlpack:
Bar

Possibly maybe there was another problem linked, but that's been fixed already.

Closing this PR.


- Issue History
Date Modified Username Field Change
2008-08-01 23:21 jaked New Issue
2008-08-01 23:21 jaked File Added: ex.tar.gz
2008-08-02 13:03 xleroy Status new => assigned
2008-08-02 13:03 xleroy Assigned To => ertai
2010-07-22 11:47 ertai Assigned To ertai => xclerc
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-07-06 16:39 doligez Target Version => 4.00.0+dev
2012-07-19 13:49 doligez Target Version 4.00.0+dev => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-03 01:16 meyer Relationship added has duplicate 0005752
2012-09-06 19:22 frisch Target Version 4.00.1+dev => 4.00.2+dev
2013-01-24 00:31 meyer Note Added: 0008787
2013-01-24 00:31 meyer Note Edited: 0008787 View Revisions
2013-01-24 00:31 meyer Note Edited: 0008787 View Revisions
2013-01-24 00:32 meyer Note Edited: 0008787 View Revisions
2013-01-24 00:32 meyer Status assigned => resolved
2013-01-24 00:32 meyer Resolution open => fixed
2013-01-24 00:32 meyer Assigned To xclerc => meyer
2013-06-13 07:16 meyer Fixed in Version => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker